package cn.pluss.platform.jft;

import cn.pluss.platform.entity.JftMercBaseInfo;
import cn.pluss.platform.entity.MerchantImage;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author DJH
 */
public interface JftAuditService {

    /**
     * 获取商户基本信息
     *
     * @param userId 用户id
     * @return
     */
    JftMercBaseInfo getMercBaseInfo(Long userId);

    /**
     * 缴费通进件图片信息
     *
     * @param userId 用户id
     * @return
     */
    List<MerchantImage> listMerchImage(Long userId);

    /**
     * 开通功能
     *
     * @param userId 用户id
     */
    void audit(Long userId);

    void apiAudit();

    /**
     * 开通功能后，变更结算卡
     *
     * @param userId 用户id
     */
    void editBankCard(Long userId);

    /**
     *
     */
    void changeRate(Long userId, BigDecimal rate);
}
